# Class RandomVariableConfig

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.config.ConfigTestElement
org.apache.jmeter.config.RandomVariableConfig

All Implemented Interfaces:
  `Serializable, Cloneable, ConfigElement, LoopIterationListener, NoConfigMerge, NoThreadClone, Searchable, TestBean, TestElement`

public class RandomVariableConfig extends ConfigTestElement implements TestBean, LoopIterationListener, NoThreadClone, NoConfigMerge

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class ConfigTestElement

`PASSWORD, USERNAME`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`RandomVariableConfig()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMaximumValue()`
`String`
`getMinimumValue()`
`String`
`getOutputFormat()`
`boolean`
`getPerThread()`
`String`
`getRandomSeed()`
`String`
`getVariableName()`
`void`
`iterationStart(LoopIterationEvent iterEvent)`
Called when a loop iteration is about to start.
`void`
`setMaximumValue(String maxvalue)`
`void`
`setMinimumValue(String minValue)`
`void`
`setOutputFormat(String outputFormat)`
`void`
`setPerThread(boolean perThread)`
`void`
`setRandomSeed(String randomSeed)`
`void`
`setVariableName(String variableName)`

### Methods inherited from class ConfigTestElement

`addConfigElement, addTestElement, expectsModification`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ConfigElement

`clone`

## Constructor Details

### RandomVariableConfig

public RandomVariableConfig()

## Method Details

### iterationStart

public void iterationStart(LoopIterationEvent iterEvent)
Called when a loop iteration is about to start.

Specified by:
  `iterationStart` in interface `LoopIterationListener`
Parameters:
  `iterEvent` - the event

### getMinimumValue

public String getMinimumValue()

Returns:
  the minValue

### setMinimumValue

public void setMinimumValue(String minValue)

Parameters:
  `minValue` - the minValue to set

### getMaximumValue

public String getMaximumValue()

Returns:
  the maxvalue

### setMaximumValue

public void setMaximumValue(String maxvalue)

Parameters:
  `maxvalue` - the maxvalue to set

### getVariableName

public String getVariableName()

Returns:
  the variableName

### setVariableName

public void setVariableName(String variableName)

Parameters:
  `variableName` - the variableName to set

### getRandomSeed

public String getRandomSeed()

Returns:
  the randomSeed

### setRandomSeed

public void setRandomSeed(String randomSeed)

Parameters:
  `randomSeed` - the randomSeed to set

### getPerThread

public boolean getPerThread()

Returns:
  the perThread

### setPerThread

public void setPerThread(boolean perThread)

Parameters:
  `perThread` - the perThread to set

### getOutputFormat

public String getOutputFormat()

Returns:
  the outputFormat

### setOutputFormat

public void setOutputFormat(String outputFormat)

Parameters:
  `outputFormat` - the outputFormat to set